{% extends 'base.html' %}
{% load static %}

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>

{% block meta %}
<title>Add Feedback</title>
{% endblock meta %}
   {% block content %}
   <div class="row">
    <div class="col s12">
        <h3>Send Your Feedback</h3>
        <hr>
    </div>
   </div>
   <form action = "" method = "POST" id="form">
    {% csrf_token %}
        <div class="card">
            <div class="card-content">
                <h5 for="message">Feedback</h5><br>
                <h5 class="black-text"></h5>
                <input type="text" id="message" name="message"></label>
                <h3 class="black-text"></h3>
            </div>
        </div>
        <div class="col s12">
            <button class="waves-effect waves-light btn-large purple" type="submit">Submit</button>
        </div>
    </form>

    <script src="https://code.jquery.com/jquery-3.5.0.min.js"
    integrity="sha256-xNzN2a4ltkB44Mc/Jz3pT4iU1cmeR0FkXs4pru/JxaQ="
    crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>

<script> const form = document.getElementById('form');
        form.addEventListener("submit", submitHandler);
    
        function submitHandler(e) {
            e.preventDefault();
            $.ajax({
                type: 'POST', // define the type of HTTP verb we want to use (POST for our form)
                url: '{% url 'addAnon' %}', // the url where we want to POST
                data: $('#form').serialize(), // our form data
                dataType: 'json', // what type of data do we expect back from the server
                success: successFunction
            });
        }
    
        function successFunction(msg) {
            if (msg.message === 'success') {
                alert('Thanks, your feedback has been sent!');
                form.reset()
            }
        }
    </script>
  
{% endblock content %}
